namespace _2024._02._05;
using System.Text;

class Program
{
    static void Main(string[] args)
    {
        var lines = File.ReadLines("diszek.txt");

        // 4. feladat
        foreach(string line in lines)
        {
            NapiMunka np = new NapiMunka(line);
        }

        System.Console.WriteLine($"Összesen {NapiMunka.KeszultDb} darab dísz készült.");


        // 5. feladat
        foreach(string line in lines)
        {
            NapiMunka np = new NapiMunka(line);
            if (np.HarangKesz == 0 && np.AngyalkaKesz == 0 && np.FenyofaKesz == 0)
            {
                System.Console.WriteLine("Volt olyan nap, amikor egyetlen dísz sem készült.");
                break;
            }
        }


        // 6. feladat
        System.Console.WriteLine("Adja meg a keresett napot [1 ... 40]!");
        int day = Convert.ToInt32(Console.ReadLine());

        while (day < 1 || day > 40)
        {
            System.Console.WriteLine("Adja meg a keresett napot [1 ... 40]!");
            day = Convert.ToInt32(Console.ReadLine());
        }

        int harang = 0;
        int angyalka = 0;
        int fenyofa = 0;

        foreach(string line in lines)
        {
            NapiMunka np = new NapiMunka(line);
            harang += np.HarangKesz + np.HarangEladott;
            angyalka += np.AngyalkaKesz + np.AngyalkaEladott;
            fenyofa += np.FenyofaKesz + np.FenyofaEladott;

            if (np.Nap == day)
            {
                System.Console.WriteLine($"A(z) {np.Nap} nap végén {harang} harang, {angyalka} angyalka és {fenyofa} fenyőfa maradt készleten.");
            }
        }


        // 7. feladat

        int harangEl = 0;
        int angyalkaEl = 0;
        int fenyofaEl = 0;

        foreach(string line in lines)
        {
            NapiMunka np = new NapiMunka(line);
            harangEl += + np.HarangEladott;
            angyalkaEl += + np.AngyalkaEladott;
            fenyofaEl += + np.FenyofaEladott;
        }

        int[] diszek = { Math.Abs(harangEl), Math.Abs(angyalkaEl), Math.Abs(fenyofaEl) };
        System.Console.WriteLine($"Legtöbbet eladott dísz: {diszek.Max()}");
    }
}
